#include "process/check_update_activation_command.h"
#include "worker.h"

#include <QDebug>

CheckUpdateActivationCommand::CheckUpdateActivationCommand(QString const &command,
                                                           Worker *worker,
                                                           int start_timeout,
                                                           int finish_timeout)
  : UpdateCommand(command, worker, start_timeout, finish_timeout) {
}

void CheckUpdateActivationCommand::readyReadStandardOutput() {
    QProcess *p = (QProcess *)sender();
    if (p) {
        QString s = p->readAllStandardOutput();

        // TODO
        Worker *w = worker();
        if (w) {
    //static constexpr const char *UPDATE_NOT_NECESSARY{"not necessary"};
    //static constexpr const char *UPDATE_NOT_REQUESTED{"not requested"};
    //static constexpr const char *UPDATE_REQUESTED{"requested"};
            emit w->showUpdateRequest(UpdateCommand::UPDATE_REQUESTED);
        }
    }
}
