#include "process/check_and_fetch_customer_repository_command.h"
#include "worker.h"

CheckAndFetchCustomerRepositoryCommand::CheckAndFetchCustomerRepositoryCommand(
    QString const &command, Worker *worker, int start_timeout, int finish_timeout)
  : UpdateCommand(command, worker, start_timeout, finish_timeout) {
}

void CheckAndFetchCustomerRepositoryCommand::readyReadStandardOutput() {
    QProcess *p = (QProcess *)sender();
    if (p) {
        QString s = p->readAllStandardOutput();

        // TODO
        Worker *w = worker();
        if (w) {
    // static constexpr const char *GIT_CUSTOMER_REPO_UP_TO_DATE{"up to date"};
            emit w->showCustRepoStatus(UpdateCommand::GIT_CUSTOMER_REPO_UP_TO_DATE);
        }
    }
}
