#include "process/check_ismas_connectivity_command.h"
#include "worker.h"

#include <QDebug>

CheckIsmasConnectivityCommand::CheckIsmasConnectivityCommand(QString const &command,
                                                             Worker *worker,
                                                             int start_timeout,
                                                             int finish_timeout)
  : UpdateCommand(command, worker, start_timeout, finish_timeout) {
}

void CheckIsmasConnectivityCommand::readyReadStandardOutput() {
    QProcess *p = (QProcess *)sender();
    if (p) {
        QString s = p->readAllStandardOutput();

        // TODO
        Worker *w = worker();
        if (w) {
    //static constexpr const char *ISMAS_CONNECTED{"connected"};
    //static constexpr const char *ISMAS_NOT_CONNECTED{"not connected"};
    //static constexpr const char *ISMAS_CONNECTION_IN_PROGRESS{"connecting"};
            emit w->showISMASConnectivity(UpdateCommand::ISMAS_CONNECTED);
        }
    }
}
